MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIGeomRect< T, inclusive > Class Template Reference

`#include <lti_geometry.h>`

## Public Member Functions
| LTIGeomRect (const LTIGeomPoint< T > &inUL, const LTIGeomPoint< T > &inLR)
| LTIGeomRect (T ulx=0, T uly=1, T lrx=-1, T lry=0)
| LTIGeomRect (const LTIGeomDim< T > d)
| LTIGeomRect (const LTIGeomRect< T, inclusive > &copy)
LTIGeomRect< T, inclusive > & | operator= (const LTIGeomRect< T, inclusive > &copy)
T | getWidth () const
T | width () const
T | getHeight () const
T | height () const
bool | isEmpty () const
LTIGeomDim< T > | getDimensions () const
LTIGeomPoint< T > | getCenter () const
LTIGeomPoint< T > | location (LTIPosition referencePoint)
template<class T2 >
LTIGeomRect< T, inclusive > & | operator+= (const LTIGeomPoint< T2 > &offset)
template<class T2 >
LTIGeomRect< T, inclusive > & | operator-= (const LTIGeomPoint< T2 > &offset)
LTIGeomRect< T, inclusive > & | operator&= (const LTIGeomRect< T, inclusive > &other)
LTIGeomRect< T, inclusive > & | operator|= (const LTIGeomRect< T, inclusive > &other)
bool | operator== (const LTIGeomRect< T, inclusive > &other) const
bool | operator!= (const LTIGeomRect< T, inclusive > &other) const
bool | intersect (const LTIGeomRect< T, inclusive > &other)

## Public Attributes
LTIGeomPoint< T > | uLeft
LTIGeomPoint< T > | lRight

## Detailed Description

### template<class T, bool inclusive = true>
class LTIGeomRect< T, inclusive >

Definition at line 183 of file lti_geometry.h.

## Constructor & Destructor Documentation

template<class T , bool inclusive = true>

LTIGeomRect< T, inclusive >::LTIGeomRect | ( | const LTIGeomPoint< T > & | inUL,
|  | const LTIGeomPoint< T > & | inLR
| ) |  |
| inline

Definition at line 189 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomRect< T, inclusive >::LTIGeomRect | ( | T | ulx = `0`,
|  | T | uly = `1`,
|  | T | lrx = `-1`,
|  | T | lry = `0`
| ) |  |
| inline

Definition at line 198 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomRect< T, inclusive >::LTIGeomRect | ( | const LTIGeomDim< T > | d) |  |
| inline

Definition at line 208 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomRect< T, inclusive >::LTIGeomRect | ( | const LTIGeomRect< T, inclusive > & | copy) |  |
| inline

Definition at line 216 of file lti_geometry.h.

## Member Function Documentation

template<class T , bool inclusive = true>

LTIGeomPoint<T> LTIGeomRect< T, inclusive >::getCenter | ( | ) |  | const
| inline

Definition at line 268 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomDim<T> LTIGeomRect< T, inclusive >::getDimensions | ( | ) |  | const
| inline

Definition at line 260 of file lti_geometry.h.

template<class T , bool inclusive = true>

T LTIGeomRect< T, inclusive >::getHeight | ( | ) |  | const
| inline

Definition at line 243 of file lti_geometry.h.

template<class T , bool inclusive = true>

T LTIGeomRect< T, inclusive >::getWidth | ( | ) |  | const
| inline

Definition at line 234 of file lti_geometry.h.

template<class T , bool inclusive = true>

T LTIGeomRect< T, inclusive >::height | ( | ) |  | const
| inline

Definition at line 247 of file lti_geometry.h.

template<class T , bool inclusive = true>

bool LTIGeomRect< T, inclusive >::intersect | ( | const LTIGeomRect< T, inclusive > & | other) |  |
| inline

Definition at line 384 of file lti_geometry.h.

template<class T , bool inclusive = true>

bool LTIGeomRect< T, inclusive >::isEmpty | ( | ) |  | const
| inline

Definition at line 252 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomPoint<T> LTIGeomRect< T, inclusive >::location | ( | LTIPosition | referencePoint) |  |
| inline

Definition at line 280 of file lti_geometry.h.

template<class T , bool inclusive = true>

bool LTIGeomRect< T, inclusive >::operator!= | ( | const LTIGeomRect< T, inclusive > & | other) |  | const
| inline

Definition at line 377 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomRect<T, inclusive>& LTIGeomRect< T, inclusive >::operator&= | ( | const LTIGeomRect< T, inclusive > & | other) |  |
| inline

Definition at line 349 of file lti_geometry.h.

template<class T , bool inclusive = true>
template<class T2 >

LTIGeomRect<T, inclusive>& LTIGeomRect< T, inclusive >::operator+= | ( | const LTIGeomPoint< T2 > & | offset) |  |
| inline

Definition at line 326 of file lti_geometry.h.

template<class T , bool inclusive = true>
template<class T2 >

LTIGeomRect<T, inclusive>& LTIGeomRect< T, inclusive >::operator-= | ( | const LTIGeomPoint< T2 > & | offset) |  |
| inline

Definition at line 338 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomRect<T, inclusive>& LTIGeomRect< T, inclusive >::operator= | ( | const LTIGeomRect< T, inclusive > & | copy) |  |
| inline

Definition at line 224 of file lti_geometry.h.

template<class T , bool inclusive = true>

bool LTIGeomRect< T, inclusive >::operator== | ( | const LTIGeomRect< T, inclusive > & | other) |  | const
| inline

Definition at line 369 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomRect<T, inclusive>& LTIGeomRect< T, inclusive >::operator|= | ( | const LTIGeomRect< T, inclusive > & | other) |  |
| inline

Definition at line 360 of file lti_geometry.h.

template<class T , bool inclusive = true>

T LTIGeomRect< T, inclusive >::width | ( | ) |  | const
| inline

Definition at line 238 of file lti_geometry.h.

## Member Data Documentation

template<class T , bool inclusive = true>

LTIGeomPoint<T> LTIGeomRect< T, inclusive >::lRight

Definition at line 399 of file lti_geometry.h.

template<class T , bool inclusive = true>

LTIGeomPoint<T> LTIGeomRect< T, inclusive >::uLeft

Definition at line 398 of file lti_geometry.h.

The documentation for this class was generated from the following file:

- lti_geometry.h

LizardTech